View Issue Details

IDProjectCategoryView StatusLast Update
0032590Open CASCADEOCCT:Visualizationpublic2021-12-13 14:56
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032590: Visualization, V3d_View - improve API for setting Image Based Lighting
DescriptionIt is proposed adding method V3d_View::SetImageBasedLighting() as a more straightforward way for managing Image Based Lighting (IBL) within PBR.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberopengl/data/textures/cubemap_ibl

Relationships

child of 0031129 newkgv Open CASCADE Visualization - revise background / environment API 

Activities

git

2021-09-26 15:04

administrator   ~0104379

Branch CR32590 has been created by kgv.

SHA-1: ffab30d3e2c5fc59aa266def9460498037e2eabe


Detailed log of new commits:

Author: kgv
Date: Sun Sep 26 13:03:25 2021 +0300

    0032590: Visualization, V3d_View - improve API for setting Image Based Lighting
    
    Added method V3d_View::SetImageBasedLighting() for managing IBL.
    OpenGl_View implementation has been revised to handle IBL updates in a more straightforward way,

git

2021-09-26 16:44

administrator   ~0104380

Branch CR32590 has been updated forcibly by kgv.

SHA-1: 3e9cb8064479cfe776221f91820a10e995b20431

kgv

2021-09-26 18:04

developer   ~0104382

Patch is ready for review
- OCCT: branch CR32590.

http://jenkins-test-12.nnov.opencascade.com/view/CR32590-master-KGV/

osa

2021-09-27 10:11

developer   ~0104384

The patch was reviewed without remarks

kgv

2021-09-29 17:43

developer   ~0104433

smoskvin

2021-10-02 10:34

administrator   ~0104482

Combination -
OCCT branch : IR-2021-10-01
master SHA - 0f05f21194a6711251182a118643efc9eb6c322b
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-01 SHA - a7a409985492330e4f25011465bc659dfe7d7562
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17464.590000000462 / 17476.150000000354 [-0.07%]
Products
Total CPU difference: 11405.930000000111 / 11390.180000000097 [+0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 19332.171875 / 19335.34375 [-0.02%]
Products
Total CPU difference: 12772.859375 / 12782.828125 [-0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105877

Branch CR32590 has been deleted by kgv.

SHA-1: 3e9cb8064479cfe776221f91820a10e995b20431

Related Changesets

occt: master 3e9cb806

2021-09-26 10:03:25

kgv

Details Diff
0032590: Visualization, V3d_View - improve API for setting Image Based Lighting

Added method V3d_View::SetImageBasedLighting() for managing IBL.
OpenGl_View implementation has been revised to handle IBL updates in a more straightforward way,
Affected Issues
0032590
mod - src/Graphic3d/Graphic3d_CView.cxx Diff File
mod - src/Graphic3d/Graphic3d_CView.hxx Diff File
mod - src/OpenGl/OpenGl_View.cxx Diff File
mod - src/OpenGl/OpenGl_View.hxx Diff File
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff File
mod - src/V3d/V3d_View.cxx Diff File
mod - src/V3d/V3d_View.hxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File
add - tests/opengl/data/textures/cubemap_ibl Diff File

Issue History

Date Modified Username Field Change
2021-09-26 14:30 kgv New Issue
2021-09-26 14:30 kgv Assigned To => kgv
2021-09-26 15:04 git Note Added: 0104379
2021-09-26 15:06 kgv Relationship added child of 0031129
2021-09-26 16:44 git Note Added: 0104380
2021-09-26 18:04 kgv Note Added: 0104382
2021-09-26 18:04 kgv Assigned To kgv => osa
2021-09-26 18:04 kgv Status new => resolved
2021-09-27 10:11 osa Note Added: 0104384
2021-09-27 10:11 osa Assigned To osa => bugmaster
2021-09-27 10:11 osa Status resolved => reviewed
2021-09-29 17:43 kgv Note Added: 0104433
2021-10-02 10:34 smoskvin Note Added: 0104482
2021-10-02 10:34 smoskvin Status reviewed => tested
2021-10-02 10:38 smoskvin Test case number => opengl/data/textures/cubemap_ibl
2021-10-02 11:32 kgv Changeset attached => occt master 3e9cb806
2021-10-02 11:32 kgv Assigned To bugmaster => kgv
2021-10-02 11:32 kgv Status tested => verified
2021-10-02 11:32 kgv Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105877